\begin{frame}
    \frametitle{Safety}
    \begin{block}{Definition}
        Each \textbf{read} operation made in the same \textbf{non-competitor} context provide the same result.
    \end{block}
    \begin{figure}
        \input{schemas/linearisation_surete_hc}
    \end{figure}
  \end{frame}
  
  \begin{frame}
    \frametitle{Regularity}
    \begin{block}{Definition}
        An \textbf{reading operation concurrent with a writing operation} must provide the value \textbf{before or after the write}.
    \end{block}
    \begin{figure}
        \input{schemas/linearisation_regularite_hc}
    \end{figure}
  \end{frame}
  
  \begin{frame}
    \frametitle{Atomicity}
    \begin{block}{Definition}
        If \textbf{two reading are non-competitor}, the second one must provide a value \textbf{at least as recent as} the previous one.
    \end{block}
    \begin{figure}
        \input{schemas/linearisation_atomicite_hc}
    \end{figure}
  \end{frame}
  
  \begin{frame}
    \frametitle{Atomic Consistency ($C_\top$)}
  
    \begin{block}{Définition}
        Atomic consistency is the stronger consistency class.
      \begin{itemize}
        \item Provide an awful interactivity.
        \item Need a strong synchronization between each operation.
        \begin{itemize}
          \item Each read or write operation lock the others and need to wait the realease from the previous one.
        \end{itemize} 
        \item He's used as a reference for the other consistency class.
      \end{itemize}
    \end{block}
  \end{frame}